package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.integral.IntegralConfig;
import com.iamberry.wechat.core.entity.integral.UseIntegral;
import org.springframework.stereotype.Repository;

import java.util.List;

public interface UseIntegralMapper {
    /**
     * 获得积分的日志
     * @param userOpenId
     * @return
             */
    List<UseIntegral> getGainIntegral(String userOpenId);

    /**
     * 获得的总积分数
     * @param userOpenId
     * @return
     */
    int allGainIntegral(String userOpenId);

    /**
     * 使用的总积分数
     * @param userOpenId
     * @return
     */
    int allUseIntegral(String openid);

    /**
     * 查询积分来源信息
     * @param integralConfig
     * @return
     */
    List<IntegralConfig> listIntegralConfig(IntegralConfig integralConfig);
    int allUseIntegral(String userOpenId);

    /**
     * 全部的积分日志
     * @param userOpenId
     * @return
     */
    List<UseIntegral> getAllIntegral(String userOpenId);
}
