package com.iamberry.wechat.handles.integral;


import com.auth0.jwt.internal.com.fasterxml.jackson.databind.annotation.JsonPOJOBuilder;
import com.iamberry.wechat.core.entity.ResultMsg;
import com.iamberry.wechat.core.entity.WechatUtils;
import com.iamberry.wechat.core.entity.integral.UseIntegral;
import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.face.integral.UseIntegralService;
import com.iamberry.wechat.tools.NameUtils;
import com.iamberry.wechat.tools.ResultInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.jws.soap.SOAPBinding;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 会员积分使用 Controller
 */
@Controller
@RequestMapping("/wechat/userIntegral")
public class UseIntegralHandler {

    @Autowired
    private UseIntegralService useIntegralService;

    /**
     * 积分使用日志
     * @param req
     * @param openid
     * @return
     */
    @RequestMapping("/getUseIntegral")
    @ResponseBody
    public ResultMsg getUseIntegral(HttpServletRequest req,
                                    @RequestParam(value = "openid",required=false)String openid){
        ResultMsg rm=new ResultMsg();
        Member m= WechatUtils.getUserBySession(req);
        List<UseIntegral> list=useIntegralService.getUseIntegral(m.getUserOpenid());
        System.out.println(list);
        rm.setStatus(true);
        rm.setResultCode(ResultInfo.SUCCESSCODE);
        rm.setMessage(NameUtils.getConfig("SUCCESSINFO"));
        rm.setData(list);
        return rm;
    }

    /**
     * 总使用的积分
     * @param req
     * @param openid
     * @return
     */
    @RequestMapping("/getAllUseIntegral")
    @ResponseBody
    public ResultMsg getAllUseIntegral(HttpServletRequest req,
                                       @RequestParam(value = "openid",required = false)String openid){
        ResultMsg rm=new ResultMsg();
        Member m=WechatUtils.getUserBySession(req);
        int allUseIntegral=useIntegralService.allUseIntegral(m.getUserOpenid());

        rm.setStatus(true);
        rm.setResultCode(ResultInfo.SUCCESSCODE);
        rm.setMessage(NameUtils.getConfig("SUCCSSINFO"));
        rm.setData(allUseIntegral);
        return rm;
    }



}
